import request from '@/utils/request'

// 查询故障缺陷列表
export function listFaultDescription(query) {
  return request({
    url: '/system/faultDescription/list',
    method: 'get',
    params: query
  })
}

// 查询故障缺陷详细
export function getFaultDescription(id) {
  return request({
    url: '/system/faultDescription/' + id,
    method: 'get'
  })
}

// 新增故障缺陷
export function addFaultDescription(data) {
  return request({
    url: '/system/faultDescription',
    method: 'post',
    data: data
  })
}

// 修改故障缺陷
export function updateFaultDescription(data) {
  return request({
    url: '/system/faultDescription',
    method: 'put',
    data: data
  })
}

// 删除故障缺陷
export function delFaultDescription(id) {
  return request({
    url: '/system/faultDescription/' + id,
    method: 'delete'
  })
}
